pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/39886: GNU emacs and XEmacs modules should not conflict

>Number:         39886
>Category:       pkg
>Synopsis:       GNU emacs and XEmacs modules should not conflict
>Confidential:   no
>Severity:       serious
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Sun Nov 09 17:40:00 +0000 2008
>Release:        NetBSD 4.0_STABLE
System: NetBSD 4.0_STABLE NetBSD 4.0_STABLE (GENERIC) #3: 
Sun Oct 19 20:54:51 EEST 2008 i386
Architecture: i386
Machine: i386
Most emacs modules/packages have no common files when they are built
with EMACS_TYPE=xemacsXXX and EMACS_TYPE=emacsYY

But they are always marked as conflicting by default.

I think this mark should be removed and really conflicting packages
should be either marked as such individually or conflict should be
resolved homehow.

Full description of the problem with a proof of the above statement
is available here.


Problematic code is here: editors/emacs/

Home | Main Index | Thread Index | Old Index